problemas con libgccjit en Trisquel 9

7 respostas [Última entrada]
Jaefra
Desconectado
Joined: 06/08/2021

Intentando compilar GNU Emacs en Trisquel 9 encontre que me faltaba libgccjit.
Instale libgccjit8-dev pero me decia que no encontraba la libreria libgccjit.
Asi que instale libgccjit7-dev y paso lo mismo.

Tras instalar todas las libgccjit(N)-dev
Me aparece un extraño error:

configure: error: The installed libgccjit failed to compile and run a test program using
the libgccjit library; see config.log for the details of the failure.
The test program can be found here:
.
You can try compiling it yourself to investigate the issues.
Please report the issue to your distribution if libgccjit was installed
through that.
You can find the instructions on how to compile and install libgccjit from
source on this site:
.

No se si sera un error de el paquete pero tiene pinta.

Si alguien puede ayudarme se lo agradezco mucho.

Ark74

I am a member!

Desconectado
Joined: 07/15/2009

¿Que versión de emacs estas tratando de compilar?

Es importante notar que algunos programas requieren dependencias por encima de lo disponible, en ocasiones eso se puede trabajar al punto de hacer posible la compilación, en ocasiones no.

Pero es bueno tener definido bien los requerimientos.

Jaefra
Desconectado
Joined: 06/08/2021

Intentaba compilar la rama master de GNU Emacs (v.28.0.50).
Tras reiniciar el sistema e intentarlo de nuevo se soluciono magicamente, no volvio a volcar ese error.
Ya tengo Emacs 28.0.50 y funciona perfectamente en Trisquel 9.

Tengo la esperanza de que Trisquel incluya las ultimas versiones estables de programas importantes como GNU Emacs en sus repositorios.
Trisquel 9 tiene en los repos Emacs 25, pero la ultima estable es la 27.

Mientras tanto siempre podremos compilarlos.

S-PJJ
Desconectado
Joined: 12/27/2019

El problema es que Trisquel siempre irá por debajo de Ubuntu. Supongo que tendremos que conformarnos con las versiones anteriores de los programas o compilar siempre y cuando haya compatibilidad.

Ark74

I am a member!

Desconectado
Joined: 07/15/2009

Recuerdo haber portado una versión más nueva (no recuerdo en este momento la versión) de prueba para etiona, sin embargo esta daba un extraño comportamiento con otras ventanas, por ende preferí desistir de ello.

Actualmente el trabajo en Trisquel 10 está muy activo y esperamos que 2021 tenga más novedades al respecto.
Los repositorios son relativamente maduros, y actualmente ya se cuenta con un instalador por medio de red (netinstaller).

http://builds.trisquel.org/debian-installer-images/debian-installer-images_20101020ubuntu614.3+10.0trisquel9_amd64.tar.gz

Por lo ir pensando en migrar a Nabia podría ser una opción.
Saludos.

S-PJJ
Desconectado
Joined: 12/27/2019

Doy por hecho de que actualmente Trisquel 10 "Nabia" está por el momento en fase beta o alpha. Recuerdo cuando migré de Trisquel 8 al 9 cuando esta última versión por aquel entonces estaba aún en fase beta y el resultado final fue que me quedé sin sistema. No recomiendo hacerlo por el momento y aguantar un poquito más con Trisquel 9. Sigo manteniendo en compilar los programas por nuestra propia cuenta si queremos tener de algún modo las versiones más recientes de los mismos o usar los Backports, si con suerte llega alguna actualización reciente.

Pablo G

I am a member!

Desconectado
Joined: 05/16/2012

Lo de las nuevas versiones de Emacs antiguas en Trisquel es algo que me ha comentado mas gente aficionada a Emacs.
A mi me sobra con la versión que lleva Trisquel porque todavía estoy en pañales con Emacs.
La cuestión es a quién va dirigida Trisquel. Yo la veo como una distribución libre que va dirigida a usuarios sin grandes conocimientos de informática, es decir generalista. Tiene varios entornos gráficos amigables.
Si buscas lo último, creo que Trisquel no es tu distro.
Yo no soy jáquer sino usuario. No echo de menos nuevas versiones de los programas (ahora parece que hay que llamarlas apps) Para mi, en el aspecto funcional me encanta Trisquel.
Lo que no me gusta es que dependa de las decisiones que toma Debian o Ubuntu. No me gusta SystemD. No me gusta que se tenga que usar el kernel que viene de Ubuntu.
Si tuviera mas conocimientos informáticos usaría Hyperbola también, pero no dejaría Trisquel.

S-PJJ
Desconectado
Joined: 12/27/2019

Existe también Parabola si lo que se quiere es tenerlo todo a la última en relación a la paquetería. Pero para mí esa distro está algo descuidada; sobre todo a la hora de descargarla. Se puede instalar, pero hay que hacer algunos malabares para instalarla en el disco duro y con algún entorno gráfico. Esto bajo mi propia experiencia con la misma. Muy engorroso las primeras veces y para mí una perdida de tiempo.

Yo con Trisquel estaría bien, lo he escrito muchas veces. El problema que le veo es que dependa de una persona solamente y tenga tan poco soporte en actualizaciones. GPG por ejemplo es un buen ejemplo o incluso Midori que sigue siendo el navegador por defecto en la versión Mini. También hay algunos programas que necesitan estar actualizados para que funcionen bien, como Pitivi.

No sé si algún día volveré a usar Trisquel. De momento sigo con Manjaro y va bastante fluida para lo que es mi PC actualmente. Y no tengo ningún problema en decirlo por aquí abiertamente. Y si algún día logro revivir mi viejo PC le pondré Lubuntu, ya que LQXT no lo veo tan mal con esa distro.

Creo que a Trisquel se le puede cambiar el Init. Hay algunos tutoriales en Internet que pueden ayudarte. Búscalos con el nombre de Ubuntu para tener más opciones.

Usar Trisquel no es una obligación al fin de cuentas. Cada uno/a sus necesidades. En especial mención a los usuarios/as comunes. Ellos tampoco podrían quedarse con Trisquel porque se quedarían cortos ¿Por qué? No creo que haga falta que conteste (ejem, Discord, ejem)...

Si no te gusta una cosa no la uses. Si sientes que no es el momento de seguir usando Trisquel, hay más opciones, no muchas, pero las hay. Yo he sentido que esa distro para mis necesidades se me queda corta; no sé si recordarás la tabarra: https://trisquel.info/es/forum/fallo-error-de-pitivi-en-trisquel-8 y he decidido mover el ala a otros sitios. A eso súmale lo que he tenido que soportar este último año. Por eso he decidido dejar de calentarme la cabeza tanto con el ordenador como con GNU/Linux y que distro usar.

Vivir tranquilo es una opción.